#
# spec file for package krb5 (Version 1.4.3)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           krb5
BuildRequires:  e2fsprogs-devel
%define vendorFiles %{_builddir}/%{name}-%{version}/vendor-files/
%define krb5docdir  %{_defaultdocdir}/%{name}
Version:        1.4.3
Release:        19.47.1
Provides:       heimdal-lib
Obsoletes:      heimdal-lib
Summary:        MIT Kerberos5 Implementation--Libraries
License:        X11/MIT
Url:            http://web.mit.edu/kerberos/www/
Group:          Productivity/Networking/Security
Source:         %{name}-%{version}.tar.bz2
Source1:        vendor-files.tar.bz2
Source2:        README.Source
Source3:        spx.c
Source4:        EncryptWithMasterKey.c
Patch1:         krb5-1.4-fix-uninitialized-vars.dif
Patch2:         krb5-1.4-compile_pie.dif
Patch3:         krb5-1.4-fix-segfault.dif
Patch4:         krb5-1.4.2-testfix.dif
Patch5:         krb5-1.4.3-set_gnu_source.dif
Patch6:         krb5-1.4.3-EncryptWithMasterKey.dif
Patch7:         krb5-1.4.3-MITKRB5-SA-2006-001-setuid-return-checks.dif
Patch8:         krb5-1.4-MITKRB5-SA-2006-002-fix-code-exec.dif
Patch9:         krb5-1.4-MITKRB5-SA-2006-003-fix-uninitialized-pointer.dif
Patch10:        krb5-1.4-fix-double-free.dif
Patch11:        krb5-1.4.3-case-insensitive.dif
Patch12:        krb5-1.4.3-extra-check-kt_file.c.dif
Patch13:        krb5-MITKRB5-SA-2007-001-telnetd-login-injection.dif
Patch14:        krb5-1.4.3-MITKRB5-SA-2007-002-fix-stack-overflow-in-krb5_klog_syslog.dif
Patch15:        krb5-MITKRB5-SA-2007-003-fix-double-free.dif
Patch16:        krb5-1.4-MITKRB5-SA-2007-004-fix-kadmind-code-exec.dif
Patch17:        krb5-1.4-MITKRB5-SA-2007-005-fix-kadmind-bufferoverflow.dif
Patch18:        krb5-MITKRB5-SA-2007-006-CVE-2007-3999-fix-execute-code-2.dif
Patch19:        krb5-1.4.3-sitesupport.diff
Patch20:        krb5-1.4.3-fix-empty-kt.dif
Patch21:        krb5-1.6-fix-CVE-2007-5894.dif
Patch22:        krb5-1.6-fix-CVE-2007-5902.dif
Patch23:        krb5-1.4-fix-CVE-2007-5971.dif
Patch24:        krb5-1.4-fix-CVE-2007-5972.dif
Patch25:        krb5-1.6-MITKRB5-SA-2008-001.dif
Patch26:        krb5-1.6-MITKRB5-SA-2008-002.dif
Patch27:        krb5-1.4.3-fix-segfault-in-krb5_get_cred_from_kdc.dif
Patch28:        krb5-1.6-MITKRB5-SA-2009-002.dif
Patch29:        krb5-1.6-CVE-2009-0847.dif
Patch30:        bug-489878_gssapi_improve_errormessages.dif
Patch31:        krb5-1.6.3-ktutil-manpage.dif
Patch32:        krb5-1.6-MITKRB5-SA-2009-004.dif
Patch33:        krb5-MITKRB5-SA-2010-005.dif
Patch34:        krb5-1.4-MITKRB5-SA-2010-007.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         mktemp, grep, /bin/touch 

%description
Kerberos V5 is a trusted-third-party network authentication system,
which can improve your network's security by eliminating the insecure
practice of clear text passwords.



Authors:
--------
    The MIT Kerberos Team
    Sam Hartman <hartmans@mit.edu>
    Ken Raeburn <raeburn@mit.edu>
    Tom Yu <tlyu@mit.edu>

%package client
License:        X11/MIT
Summary:        MIT Kerberos5 implementation - client programms
Group:          Productivity/Networking/Security
Provides:       heimdal-tools, heimdal-x11
Obsoletes:      heimdal-tools, heimdal-x11

%description client
Kerberos V5 is a trusted-third-party network authentication system,
which can improve your network's security by eliminating the insecure
practice of cleartext passwords. This package includes some required
client programs, like kinit, kadmin, ...



Authors:
--------
    The MIT Kerberos Team
    Sam Hartman <hartmans@mit.edu>
    Ken Raeburn <raeburn@mit.edu>
    Tom Yu <tlyu@mit.edu>

%package server
License:        X11/MIT
Summary:        MIT Kerberos5 implementation - server
Group:          Productivity/Networking/Security
Provides:       heimdal
Obsoletes:      heimdal
Requires:       perl-Date-Calc
PreReq:         %insserv_prereq %fillup_prereq

%description server
Kerberos V5 is a trusted-third-party network authentication system,
which can improve your network's security by eliminating the insecure
practice of cleartext passwords. This package includes the kdc, kadmind
and more.



Authors:
--------
    The MIT Kerberos Team
    Sam Hartman <hartmans@mit.edu>
    Ken Raeburn <raeburn@mit.edu>
    Tom Yu <tlyu@mit.edu>

%package devel
License:        X11/MIT
Summary:        MIT Kerberos5 - Include Files and Libraries
Group:          Development/Libraries/C and C++
PreReq:         %{name} = %{version}
Requires:       e2fsprogs-devel
Provides:       heimdal-tools-devel, heimdal-devel
Obsoletes:      heimdal-tools-devel, heimdal-devel

%description devel
Kerberos V5 is a trusted-third-party network authentication system,
which can improve your network's security by eliminating the insecure
practice of cleartext passwords. This package includes Libraries and
Include Files for Development



Authors:
--------
    The MIT Kerberos Team
    Sam Hartman <hartmans@mit.edu>
    Ken Raeburn <raeburn@mit.edu>
    Tom Yu <tlyu@mit.edu>

%package apps-servers
License:        X11/MIT
Summary:        MIT Kerberos5 server applications
Group:          Productivity/Networking/Security

%description apps-servers
Kerberos V5 is a trusted-third-party network authentication system,
which can improve your network's security by eliminating the insecure
practice of cleartext passwords. This package includes some kerberos
compatible server applications like ftpd, klogind, telnetd, ...



Authors:
--------
    The MIT Kerberos Team
    Sam Hartman <hartmans@mit.edu>
    Ken Raeburn <raeburn@mit.edu>
    Tom Yu <tlyu@mit.edu>

%package apps-clients
License:        X11/MIT
Summary:        MIT Kerberos5 client applications
Group:          Productivity/Networking/Security

%description apps-clients
Kerberos V5 is a trusted-third-party network authentication system,
which can improve your network's security by eliminating the insecure
practice of cleartext passwords. This package includes some kerberos
compatible client applications like ftp, rpc, rlogin, telnet, ...



Authors:
--------
    The MIT Kerberos Team
    Sam Hartman <hartmans@mit.edu>
    Ken Raeburn <raeburn@mit.edu>
    Tom Yu <tlyu@mit.edu>

%prep
%setup -q 
%setup -a 1 -T -D
if [ -e %{_builddir}/%{name}-%{version}/src/appl/telnet/libtelnet/spx.c ]
then
 echo "spx.c contains potential legal risks."
 exit 1;
else
 cp %{_sourcedir}/spx.c %{_builddir}/%{name}-%{version}/src/appl/telnet/libtelnet/spx.c
fi
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6
cd src
%patch7
cd -
%patch8
%patch9
%patch10
%patch11
%patch12
%patch13
%patch14
%patch15
%patch16
%patch17
%patch18
%patch19
%patch20
%patch21
%patch22
%patch23
%patch24 -p1
%patch25 -p1
%patch26
%patch27
%patch28
%patch29
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
cp %{_sourcedir}/EncryptWithMasterKey.c %{_builddir}/%{name}-%{version}/src/kadmin/dbutil/EncryptWithMasterKey.c

%build
cd src
%{?suse_update_config:%{suse_update_config -f}}
./util/reconf
CFLAGS="$RPM_OPT_FLAGS -I/usr/include/et -fno-strict-aliasing -D__AQUILA__ " \
./configure \
	--prefix=/usr/lib/mit \
	--sysconfdir=%{_sysconfdir} \
	--mandir=%{_mandir} \
	--infodir=%{_infodir} \
	--libexecdir=/usr/lib/mit/sbin \
	--libdir=%{_libdir} \
	--includedir=%{_includedir} \
        --localstatedir=%{_localstatedir}/lib/kerberos \
	--enable-shared \
	--disable-static \
	--enable-kdc-replay-cache \
	--enable-dns-for-kdc \
	--enable-dns-for-realm \
	--enable-dns \
        --with-krb4 \
        --with-system-et \
        --with-system-ss
make %{?jobs:-j%jobs} 
#make check

%install
rm -rf %{buildroot}
cd src
make DESTDIR=%{buildroot} install 
cd ..
# install sample config files
# I'll probably do something about this later on
mkdir -p %{buildroot}%{_sysconfdir} %{buildroot}%{_localstatedir}/lib/kerberos/krb5kdc
mkdir -p %{buildroot}%{_sysconfdir}
mkdir -p %{buildroot}/etc/profile.d/
mkdir -p %{buildroot}/var/log/krb5
install -m 644 %{vendorFiles}/krb5.conf %{buildroot}%{_sysconfdir}
install -m 600 %{vendorFiles}/kdc.conf %{buildroot}%{_localstatedir}/lib/kerberos/krb5kdc/
install -m 600 %{vendorFiles}/kadm5.acl %{buildroot}%{_localstatedir}/lib/kerberos/krb5kdc/
install -m 644 %{vendorFiles}/krb5.csh.profile %{buildroot}/etc/profile.d/krb5.csh
install -m 644 %{vendorFiles}/krb5.sh.profile %{buildroot}/etc/profile.d/krb5.sh
for n in ftpd.8 telnetd.8; do
	mv %{buildroot}%{_mandir}/man8/${n} %{buildroot}%{_mandir}/man8/k${n}
done
for n in ftp.1 rlogin.1 rcp.1 rsh.1 telnet.1; do
	mv %{buildroot}%{_mandir}/man1/${n} %{buildroot}%{_mandir}/man1/k${n}
done
# all libs must have permissions 0755 
for lib in `find %{buildroot}/%{_libdir}/ -type f -name "*.so.*"`
do 
  chmod 0755 ${lib} 
done
# install init scripts
mkdir -p %{buildroot}%{_sysconfdir}/init.d
install -m 755 %{vendorFiles}/kadmind.init %{buildroot}%{_sysconfdir}/init.d/kadmind
install -m 755 %{vendorFiles}/krb5kdc.init %{buildroot}%{_sysconfdir}/init.d/krb5kdc
install -m 755 %{vendorFiles}/kpropd.init  %{buildroot}%{_sysconfdir}/init.d/kpropd
install -m 755 %{vendorFiles}/krb524d.init %{buildroot}%{_sysconfdir}/init.d/krb524d
# install xinetd files
mkdir -p %{buildroot}%{_sysconfdir}/xinetd.d
install -m 644 %{vendorFiles}/klogin.xinetd %{buildroot}%{_sysconfdir}/xinetd.d/klogin
install -m 644 %{vendorFiles}/krb5-telnet.xinetd %{buildroot}%{_sysconfdir}/xinetd.d/ktelnet
install -m 644 %{vendorFiles}/kshell.xinetd %{buildroot}%{_sysconfdir}/xinetd.d/kshell
# install logrotate files
mkdir -p %{buildroot}%{_sysconfdir}/logrotate.d
install -m 644 %{vendorFiles}/krb5kdc.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/krb5kdc
install -m 644 %{vendorFiles}/kadmind.logrotate %{buildroot}%{_sysconfdir}/logrotate.d/kadmind
find . -type f -name '*.ps' -exec gzip -9 {} \;
# create rc* links 
mkdir -p %{buildroot}/usr/bin/
ln -sf ../../etc/init.d/kadmind %{buildroot}/usr/bin/rckadmind
ln -sf ../../etc/init.d/krb5kdc %{buildroot}/usr/bin/rckrb5kdc
ln -sf ../../etc/init.d/kpropd %{buildroot}/usr/bin/rckpropd
ln -sf ../../etc/init.d/krb524d %{buildroot}/usr/bin/rckrb524d
# create links for kinit and klist, because of the java ones
ln -sf ../../usr/lib/mit/bin/kinit   %{buildroot}/usr/bin/kinit
ln -sf ../../usr/lib/mit/bin/klist   %{buildroot}/usr/bin/klist
# install update messages
install -d -m 755 %{buildroot}/usr/share/update-messages/en
install -m 644 %{vendorFiles}/krb5.update-message %{buildroot}/usr/share/update-messages/en/krb5.1
install -m 644 %{vendorFiles}/krb5-server.update-message %{buildroot}/usr/share/update-messages/en/krb5-server.1
# install doc
install -d -m 755 %{buildroot}/%{krb5docdir}
install -m 644 %{vendorFiles}/README.ConvertHeimdalMIT %{buildroot}/%{krb5docdir}/README.ConvertHeimdalMIT
install -m 744 %{vendorFiles}/heimdal2mit-DumpConvert.pl %{buildroot}/%{krb5docdir}/heimdal2mit-DumpConvert.pl
install -m 644 %{_builddir}/%{name}-%{version}/README %{buildroot}/%{krb5docdir}/README
install -m 644 %{_builddir}/%{name}-%{version}/src/ChangeLog %{buildroot}/%{krb5docdir}/ChangeLog
install -m 744 %{vendorFiles}/simple_convert_krb5conf.pl %{buildroot}/%{krb5docdir}/simple_convert_krb5conf.pl
# cleanup
rm -f  %{buildroot}/usr/share/man/man1/tmac.doc*
rm -f  /usr/share/man/man1/tmac.doc*
rm -rf /usr/lib/mit/share
rm -rf %{buildroot}/usr/lib/mit/share
#####################################################
# krb5 pre/post/postun
#####################################################

%pre
# test update from heimdal-lib
if `ls usr/lib/libotp.so* 2>/dev/null 1>/dev/null`
then
  # we update from heimdal
  echo "backup /etc/krb5.conf to /etc/krb5.conf.heimdal"
  mv etc/krb5.conf etc/krb5.conf.heimdal
  touch var/adm/fillup-templates/heimdal-update
  if [ -e etc/krb5.keytab ]
  then
    echo "backup /etc/krb5.keytab to /etc/krb5.keytab.heimdal"
    mv etc/krb5.keytab etc/krb5.keytab.heimdal
  fi
  test -d var/lib/update-messages || \
    mkdir -p var/lib/update-messages
  touch var/lib/update-messages/krb5.1
else
  # no update from heimdal
  rm -f var/lib/update-messages/krb5.1
fi

%post
%run_ldconfig
if [ -e var/adm/fillup-templates/heimdal-update ]
then
  %_defaultdocdir/krb5/simple_convert_krb5conf.pl
  rm -f /var/adm/fillup-templates/heimdal-update
fi
if [ ! -e etc/krb5.conf -a -e etc/krb5.conf.rpmnew ]
then
  echo "moving /etc/krb5.conf.rpmnew to /etc/krb5.conf"
  mv etc/krb5.conf.rpmnew etc/krb5.conf
fi

%postun
%run_ldconfig
#####################################################
# krb5-server pre/preun/postun
#####################################################

%pre server
# test update from heimdal
if [ -e usr/lib/heimdal/sbin/kdc ]
then
  # update from heimdal
  if [ -e var/heimdal/heimdal.db ]
  then
    # a kdc was configured
    test -d var/lib/update-messages || \
       mkdir -p var/lib/update-messages
    touch var/lib/update-messages/krb5-server.1
  else
    rm -f var/lib/update-messages/krb5-server.1
  fi
else
  rm -f var/lib/update-messages/krb5-server.1
fi

%preun server
%stop_on_removal krb5kdc kadmind kpropd krb524d

%postun server
%restart_on_update krb5kdc kadmind kpropd krb524d
%{insserv_cleanup}

%clean
rm -rf %{buildroot}
########################################################
# files sections
########################################################

%files
%defattr(-,root,root)
%dir %{krb5docdir}
%attr(0700,root,root) %dir /var/log/krb5
%doc %{krb5docdir}/README 
%doc %{krb5docdir}/ChangeLog 
%doc %{krb5docdir}/simple_convert_krb5conf.pl
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/krb5.conf
%attr(0644,root,root) %config /etc/profile.d/krb5*
%{_libdir}/lib*.so.*
%{_libdir}/libgssapi_krb5.so
/usr/share/update-messages/en/krb5.1

%files server
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/logrotate.d/krb5kdc
%config(noreplace) %{_sysconfdir}/logrotate.d/kadmind
%{_sysconfdir}/init.d/kadmind
%{_sysconfdir}/init.d/krb5kdc
%{_sysconfdir}/init.d/kpropd
%{_sysconfdir}/init.d/krb524d
%dir %{krb5docdir}
%dir /usr/lib/mit
%dir /usr/lib/mit/sbin
%dir %{_localstatedir}/lib/kerberos/
%dir %{_localstatedir}/lib/kerberos/krb5kdc
%doc %{krb5docdir}/heimdal2mit-DumpConvert.pl
%doc %{krb5docdir}/README.ConvertHeimdalMIT
%attr(0600,root,root) %config(noreplace) %{_localstatedir}/lib/kerberos/krb5kdc/kdc.conf
%attr(0600,root,root) %config(noreplace) %{_localstatedir}/lib/kerberos/krb5kdc/kadm5.acl
/usr/bin/rc*
/usr/lib/mit/sbin/sserver
/usr/lib/mit/sbin/gss-server
/usr/lib/mit/sbin/kadmin.local
/usr/lib/mit/sbin/kadmind
/usr/lib/mit/sbin/kpropd
/usr/lib/mit/sbin/kprop
/usr/lib/mit/sbin/kdb5_util
/usr/lib/mit/sbin/krb5kdc
/usr/lib/mit/sbin/krb524d
/usr/lib/mit/sbin/login.krb5
/usr/lib/mit/sbin/sim_server
/usr/lib/mit/sbin/EncryptWithMasterKey
%{_mandir}/man5/kdc.conf.5*
%{_mandir}/man5/krb5.conf.5*
%{_mandir}/man5/.k5login.5*
%{_mandir}/man8/sserver.8*
%{_mandir}/man8/kadmind.8*
%{_mandir}/man8/kadmin.local.8*
%{_mandir}/man8/kpropd.8*
%{_mandir}/man8/kprop.8*
%{_mandir}/man8/kdb5_util.8*
%{_mandir}/man8/krb5kdc.8*
%{_mandir}/man8/krb524d.8*
%{_mandir}/man8/login.krb5.8*
/usr/share/update-messages/en/krb5-server.1

%files client
%defattr(-,root,root)
%dir /usr/lib/mit
%dir /usr/lib/mit/bin
%dir /usr/lib/mit/sbin
/usr/lib/mit/bin/kvno
/usr/lib/mit/bin/kinit
/usr/lib/mit/bin/kdestroy
/usr/lib/mit/bin/kpasswd
/usr/lib/mit/bin/klist
/usr/lib/mit/bin/sclient
/usr/lib/mit/bin/gss-client
/usr/lib/mit/bin/krb524init
/usr/lib/mit/bin/sim_client
/usr/lib/mit/sbin/kadmin
/usr/lib/mit/sbin/ktutil
/usr/lib/mit/sbin/k5srvutil
/usr/bin/kinit
/usr/bin/klist
%{_mandir}/man1/kvno.1*
%{_mandir}/man1/kinit.1*
%{_mandir}/man1/kdestroy.1*
%{_mandir}/man1/kpasswd.1*
%{_mandir}/man1/klist.1*
%{_mandir}/man1/sclient.1*
%{_mandir}/man1/kerberos.1*
%{_mandir}/man8/kadmin.8*
%{_mandir}/man8/ktutil.8*
%{_mandir}/man8/k5srvutil.8*

%files apps-servers
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/xinetd.d/klogin
%config(noreplace) %{_sysconfdir}/xinetd.d/kshell
%config(noreplace) %{_sysconfdir}/xinetd.d/ktelnet
%dir /usr/lib/mit
%dir /usr/lib/mit/sbin
/usr/lib/mit/sbin/ftpd
/usr/lib/mit/sbin/klogind
/usr/lib/mit/sbin/kshd
/usr/lib/mit/sbin/telnetd
/usr/lib/mit/sbin/uuserver
%{_mandir}/man8/kftpd.8*
%{_mandir}/man8/klogind.8*
%{_mandir}/man8/kshd.8*
%{_mandir}/man8/ktelnetd.8*

%files apps-clients
%defattr(-,root,root)
%dir /usr/lib/mit
%dir /usr/lib/mit/bin
/usr/lib/mit/bin/ftp
/usr/lib/mit/bin/rlogin
# removed SUID bit, we will rely on su + pam_krb
%attr(0755,root,root) /usr/lib/mit/bin/ksu
/usr/lib/mit/bin/rcp
/usr/lib/mit/bin/rsh
/usr/lib/mit/bin/telnet
/usr/lib/mit/bin/uuclient
# removed SUID bit
%attr(0755,root,root)/usr/lib/mit/bin/v4rcp
%{_mandir}/man1/kftp.1*
%{_mandir}/man1/krlogin.1*
%{_mandir}/man1/krsh.1*
%{_mandir}/man1/ktelnet.1*
%{_mandir}/man1/ksu.1*
%{_mandir}/man1/krcp.1*
%{_mandir}/man1/v4rcp.1*

%files devel
%defattr(-,root,root)
%dir /usr/lib/mit
%dir /usr/lib/mit/bin
%dir /usr/lib/mit/sbin
/usr/lib/mit/bin/krb5-config
%{_libdir}/libdes425.so
%{_libdir}/libgssrpc.so
%{_libdir}/libk5crypto.so
%{_libdir}/libkadm5clnt.so
%{_libdir}/libkadm5srv.so
%{_libdir}/libkdb5.so
%{_libdir}/libkrb4.so
%{_libdir}/libkrb5.so
%{_libdir}/libkrb5support.so
%{_includedir}/*
/usr/lib/mit/sbin/krb5-send-pr
%{_mandir}/man1/krb5-send-pr.1*
%{_mandir}/man1/krb5-config.1*

%changelog
* Sun Nov  7 2010 mc@suse.de
- Fix multiple checksum handling vulnerabilities
  (MITKRB5-SA-2010-007, bnc#650650)
  CVE-2010-1323
  * krb5 clients may accept unkeyed SAM-2 challenge checksums
  * krb5 may accept KRB-SAFE checksums with low-entropy derived keys
* Fri Apr 23 2010 mc@suse.de
- fix GSS-API library null pointer dereference
  CVE-2010-1321, MITKRB5-SA-2010-005 (bnc#596826)
* Tue Dec  8 2009 mc@suse.de
- fix integer underflow in AES and RC4 decryption
  CVE-2009-4212, MITKRB5-SA-2009-004 (bnc#561351)
* Tue May 26 2009 mc@suse.de
- fix GSSAPI error messages [bnc#489878]
- minor fixes for ktutil man page
* Fri Apr  3 2009 mc@suse.de
- fix testcase (bnc#486723)
* Thu Mar 19 2009 mc@suse.de
- fix krb5 code exec (bnc#486723)
  CVE-2009-0846
- fix incorrect length check inside an ASN.1 decoder
  (bnc#486722) CVE-2009-0847
* Tue Nov  4 2008 mc@suse.de
- fix segfault in krb5_get_cred_from_kdc
  (bnc#420559)
* Tue Mar  4 2008 mc@suse.de
- fix two security bugs:
  * MITKRB5-SA-2008-001(CVE-2008-0062, CVE-2008-0063)
    fix double free [bnc#361373]
  * MITKRB5-SA-2008-002(CVE-2008-0947, CVE-2008-0948)
    Memory corruption while too many open file descriptors
    [bnc#363151]
* Fri Dec 14 2007 mc@suse.de
- fix several security bugs:
  * CVE-2007-5894 apparent uninit length
  * CVE-2007-5902 integer overflow
  * CVE-2007-5971 double-free
  * CVE-2007-5972 double fclose()
  [#346745, #346748, #346749, #346747]
* Wed Nov 28 2007 mc@suse.de
- fix segfault on empty keytab [#344438]
* Wed Nov 21 2007 mc@suse.de
- add sitesupport patch [FATE#302129]
* Thu Sep  6 2007 mc@suse.de
- fix a problem with the originally published patch
  for MITKRB5-SA-2007-006 - CVE-2007-3999/CVE-2007-4743
  [#302377]
* Fri Aug 24 2007 mc@suse.de
- fix execute arbitrary code
  (MITKRB5-SA-2007-006 - CVE-2007-3999)
  [#302377]
* Thu Jun 14 2007 mc@suse.de
- fix buffer overflow in kadmind
  (MITKRB5-SA-2007-005 - CVE-2007-2798)
  [#278689]
* Mon May  7 2007 mc@suse.de
- fix kadmind code execution bug
  (MITKRB5-SA-2007-004 - CVE-2007-2442 - CVE-2007-2443)
  [#271191]
* Fri Mar 30 2007 mc@suse.de
- fix kadmind stack overflow in krb5_klog_syslog
  (MITKRB5-SA-2007-002 - CVE-2007-0957)
  [#253548]
- fix double free attack in the RPC library
  (MITKRB5-SA-2007-003 - CVE-2007-1216)
  [#252487]
- fix krb5 telnetd login injection
  (MIT-SA-2007-001 - CVE-2007-0956)
  [#247765]
* Fri Mar 16 2007 mc@suse.de
- include case-insensitive patch for Domain Services for Windows
  [#250026]
- add extra check for keytab file pointer
  [#249312]
* Thu Mar  1 2007 mc@suse.de
- Fix double free in gc_frm_kdc.c
  [MIT RT #3313] [#246954]
* Wed Dec  6 2006 mc@suse.de
- fix for
    kadmind (via RPC library) calls uninitialized function pointer
    (CVE-2006-6143)(Bug #225990)
    krb5-1.4-MITKRB5-SA-2006-002-fix-code-exec.dif
- fix for
    kadmind (via GSS-API mechglue) frees uninitialized pointers
    (CVE-2006-6144)(Bug #225992)
    krb5-1.4-MITKRB5-SA-2006-003-fix-uninitialized-pointer.dif
* Fri Jul  7 2006 mc@suse.de
- krb5 setuid return check fixes
  krb5-1.4.3-MITKRB5-SA-2006-001-setuid-return-checks.dif
  [#182351]
* Mon Mar 27 2006 mc@suse.de
- add all daemons to %%stop_on_removal and %%restart_on_update
- add reload to kpropd init script
- add force-reload to all init scripts
* Mon Mar 13 2006 mc@suse.de
- add libgssapi_krb5.so link to main package [#147912]
* Fri Feb  3 2006 mc@suse.de
- fix logging section for kadmind in convert script
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 mc@suse.de
- change the logging defaults
* Wed Jan 11 2006 mc@suse.de
- add tools and README for heimdal => MIT update
* Mon Jan  9 2006 mc@suse.de
- fix build problems, define _GNU_SOURCE
  (krb5-1.4.3-set_gnu_source.dif )
* Tue Jan  3 2006 mc@suse.de
- added "make %%{?jobs:-j%%jobs}"
* Fri Nov 18 2005 mc@suse.de
- update to version 1.4.3
  * some memmory leaks fixed
  * fix for "AS_REP padata has wrong enctype"
  * fix for "AS_REP padata missing PA-ETYPE-INFO"
  * ... and more
* Wed Nov  2 2005 dmueller@suse.de
- don't build as root
* Tue Oct 11 2005 mc@suse.de
- update to version 1.4.2
- remove some obsolet patches
* Mon Aug  8 2005 mc@suse.de
- build with --disable-static
* Thu Aug  4 2005 ro@suse.de
- remove devel-static subpackage
* Thu Jun 30 2005 mc@suse.de
- better patch for princ_comp problem
* Mon Jun 27 2005 mc@suse.de
- update to version 1.4.1
- remove obsolet patches
  - krb5-1.4-gcc4.dif
  - krb5-1.4-reduce-namespace-polution.dif
  - krb5-1.4-VUL-0-telnet.dif
* Thu Jun 23 2005 mc@suse.de
- fixed krb5 KDC heap corruption by random free
  [#80574, CAN-2005-1174, MITKRB5-SA-2005-002]
- fixed krb5 double free()
  [#86768, CAN-2005-1689, MITKRB5-SA-2005-003]
- fix krb5 NULL pointer reference while comparing principals
  [#91600]
* Fri Jun 17 2005 mc@suse.de
- fix uninitialized variables
- compile with -fPIE/ link with -pie
* Wed Apr 20 2005 mc@suse.de
- fixed wrong xinetd files [#77149]
* Fri Apr  8 2005 mt@suse.de
- removed krb5-1.4-fix-error_tables.dif patch obsoleted
  by libcom_err locking patches
* Thu Apr  7 2005 mc@suse.de
- fixed missing descriptions in init files
  [#76164, #76165, #76166, #76169]
* Wed Mar 30 2005 mc@suse.de
- enhance $PATH via /etc/profile.d/ [#74018]
- remove the "links to important programs"
* Fri Mar 18 2005 mc@suse.de
- fixed not running converter script [#72854]
* Thu Mar 17 2005 mc@suse.de
- Fix CAN-2005-0469: Multiple Telnet Client slc_add_reply() Buffer
    Overflow
- Fix CAN-2005-0468: Multiple Telnet Client env_opt_add() Buffer
    Overflow
  [#73618]
* Wed Mar 16 2005 mc@suse.de
- fixed wrong PreReqs [#73020]
* Tue Mar 15 2005 mc@suse.de
- add a simple krb5.conf converter [#72854]
* Mon Mar 14 2005 mc@suse.de
- fixed: rckrb5kdc restart gives wrong status with non-running service
  [#72446]
* Thu Mar 10 2005 mc@suse.de
- add requires: e2fsprogs-devel to krb5-devel package [#71732]
* Fri Feb 25 2005 mc@suse.de
- fix double free [#66534]
  krb5-1.4-fix-error_tables.dif
* Fri Feb 11 2005 mc@suse.de
- change mode for shared libraries to 755
* Fri Feb  4 2005 mc@suse.de
- remove spx.c from tarball because of legal risk
- add README.Source which tell the user about this
  action.
- add a check for spx.c in the spec-file
- use rich-text for update-messages [#50250]
* Tue Feb  1 2005 mc@suse.de
- add krb5-1.4-reduce-namespace-polution.dif
  reduce namespace polution in gssapi.h [#50356]
* Fri Jan 28 2005 mc@suse.de
- update to version 1.4
- Add implementation of the RPCSEC_GSS authentication flavor to the
  RPC library.
- Thread safety for krb5 libraries.
- Merged Athena telnetd changes for creating a new option for
  requiring encryption.
- The kadmind4 backwards-compatibility admin server and the v5passwdd
  backwards-compatibility password-changing server have been removed.
- Yarrow code now uses AES.
- Merged Athena changes to allow ftpd to require encrypted passwords.
- Incorporate gss_krb5_set_allowable_enctypes() and
  gss_krb5_export_lucid_sec_context(), which are needed for NFSv4.
- remove obsolet patches
* Mon Jan 17 2005 mc@suse.de
- add proofreaded update-messages
* Fri Jan 14 2005 mc@suse.de
- remove Conflicts: and add Provides:
- add some insserv stuff
* Thu Jan 13 2005 mc@suse.de
- move vendor files to vendor-files.tar.bz2
- add obsoletes: heimdal
- add %%pre and %%post sections to detect update
  from heimdal and backup invalid configuration files
- add update-messages for heimdal update
* Mon Jan 10 2005 mc@suse.de
- update to version 1.3.6
- fix for: heap buffer overflow in libkadm5srv
  [CAN-2004-1189 / MITKRB5-SA-2004-004]
* Tue Dec 14 2004 mc@suse.de
- build doc subpackage in an own specfile
- removed unnecessary neededforbuild requirements
* Wed Nov 24 2004 coolo@suse.de
- fix build with gcc 4
* Mon Nov 15 2004 mc@suse.de
- added Conflicts with heimdal*
- rename some manpages to avoid conflicts
* Thu Nov  4 2004 mc@suse.de
- new init scripts
- fix logrotate scripts
- add some 64Bit fixes
- add default krb5.conf, kdc.conf and kadm5.acl
* Wed Nov  3 2004 mc@suse.de
- add e2fsprogs to NFB
- use system-et and system-ss
- fix includes of com_err.h
* Thu Oct 28 2004 mc@suse.de
- Initital checkin
